API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/loads/{loadId}/dispatches/{dispatchId}/rate-confirmation/generate

ark.generate_rate_confirmation

Generates and stores a rate confirmation PDF for a visible dispatched load without sending it.

Availability
Expanded preview
Scopes
loads:dispatch
ARK permissions
canAssignLoads
Team visibility
Required and enforced
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

loadIdpathstringrequired
format: uuid
dispatchIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

fileNamestring

Optional PDF file name. A .pdf extension is added when omitted.

min length: 1; max length: 200

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/dispatches/<dispatchId>/rate-confirmation/generate' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{}'

Success response

Generated rate confirmation

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired
data.loadIdstringrequired

format: uuid

data.dispatchIdstringrequired

format: uuid

data.fileIdstringrequired

format: uuid

data.messagestringrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry
HTTP 422
Invalid request